# $dcc.averageSpeed

Returns the average speed of a dcc file transfer

Usage

    $dcc.averageSpeed
    $dcc.averageSpeed(<dcc_id>)

Description

Returns the average speed (in bytes/sec) of the specified DCC session.
If <dcc_id> is omitted then the DCC Session associated with the current window is assumed.
If <dcc_id> is not a valid DCC session identifier (or it is omitted and the current window has no associated DCC session) then this function prints a warning and returns an empty sting.
If the DCC session does not refer to a file transfer then this function returns 0.
See the dcc module documentation for more information.

Syntax Specification

    $dcc.averageSpeed
    $dcc.averageSpeed(<dcc_id>)

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Jul 22 18:18:08 2013